- Do not blindly try to touch the logfile (bnc#893219) * Add 0146-dracut.sh-corrected-logfile-check.patch - Only fix UUID= fstab parsing * Add 0147-dracut.sh-Fix-UUID-fstab-parsing-in-case-mount-optio.patch - Also fix other parsing syntax in fstab like LABEL= * Add 0148-dracut.sh-Fix-LABEL-and-other-fstab-syntax.patch - Fix up some bugs from previous commit * Add 0149-dracut.sh-Fix-fstab-parsing-again.patch - bnc#893615 * Add 0150-Find-kernel-modules-in-extra-and-weak-updates-path-a.patch - pixz does need too much memory, go back to xz in a conservative way (bnc#893981) * Add 0151-Go-back-to-xz-again-pixz-may-use-too-much-memory-whi.patch - Add some default tools to initrd when debug module is included and already provided an commented example line how to easily enable it. No functional change by default. * Add 0152-Add-a-comment-to-easily-add-debug-modules-also-add-v.patch OBS-URL: https://build.opensuse.org/request/show/246856 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=182
27 lines
887 B
Diff
27 lines
887 B
Diff
From b5a5fb4486dee09287df825ecd1d2f8b76a98682 Mon Sep 17 00:00:00 2001
|
|
From: Martin Wilck <martin.wilck@ts.fujitsu.com>
|
|
Date: Fri, 29 Aug 2014 15:42:51 +0200
|
|
Subject: Find kernel modules in extra and weak-updates path also
|
|
|
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
|
---
|
|
dracut-functions.sh | 2 +-
|
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
|
|
|
diff --git a/dracut-functions.sh b/dracut-functions.sh
|
|
index 22e16ff..208c295 100755
|
|
--- a/dracut-functions.sh
|
|
+++ b/dracut-functions.sh
|
|
@@ -1623,7 +1623,7 @@ find_kernel_modules_by_path () {
|
|
_OLDIFS=$IFS
|
|
IFS=:
|
|
while read a rest; do
|
|
- [[ $a = */$1/* ]] || [[ $a = updates/* ]] || continue
|
|
+ [[ $a = */$1/* ]] || [[ $a = updates/* ]] || [[ $a = extra/* ]] || [[ $a = weak-updates/* ]] || continue
|
|
printf "%s\n" "$srcmods/$a"
|
|
done < "$srcmods/modules.dep"
|
|
IFS=$_OLDIFS
|
|
--
|
|
1.7.6.1
|
|
|